APIReferênciaPedidos
Criar pedido
Cria um pedido com produtos do catálogo. Mande o comprador para o checkoutUrl da resposta para pagar. Use Idempotency-Key para não duplicar.
bearerheader
AuthorizationBearer <chave de API>Chave de API da loja (Painel › Desenvolvedores)
Idempotency-Key*stringChave única por operação (ex.: o id do pedido no seu sistema). Repetir a chamada com a mesma chave devolve a mesma resposta, sem duplicar.
Padrão (regex)
^[A-Za-z0-9._:-]+$Tamanho
8 <= length <= 255application/json- body
items*array<>Itens
1 <= items <= 50customer?recipient?externalId?stringTamanho
1 <= length <= 100metadata?successUrl?stringFormato
uricancelUrl?stringFormato
uriexpiresInMinutes?numberIntervalo
5 <= value <= 10080allowedMethods?array<>application/jsoncurl -X POST "https://api.rivoo.gg/v1/orders" \ -H "Authorization: Bearer $RIVOO_API_KEY" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{"items":[{"productId":"string","quantity":1}]}'Exemplo de resposta201
{ "id": "ord_mhexample0000vip0000001", "source": "API", "status": "PENDING", "customerId": "cus_mhexample0000steve00001", "externalId": "pedido_123", "recipient": { "kind": "MINECRAFT", "ref": "Steve", "name": "Steve" }, "items": [ { "id": "oitem_mhexample0000vip00001", "productId": "prod_mhexample0000vip00001", "priceId": "price_mhexample0000vip0001", "name": "VIP+ 30 dias", "quantity": 1, "unitAmount": { "amount": 2990, "currency": "BRL" }, "total": { "amount": 2990, "currency": "BRL" }, "adjustments": [], "recipient": null, "gift": null } ], "totals": { "subtotal": { "amount": 2990, "currency": "BRL" }, "discount": { "amount": 0, "currency": "BRL" }, "giftCard": { "amount": 0, "currency": "BRL" }, "total": { "amount": 2990, "currency": "BRL" }, "refunded": { "amount": 0, "currency": "BRL" } }, "allowedMethods": [ "PIX", "CARD", "BOLETO" ], "paidByPaymentId": null, "note": null, "metadata": { "pedido": "123" }, "customer": { "id": "cus_mhexample0000steve00001", "name": "Steve", "email": "[email protected]" }, "expiresAt": "2026-11-01T21:04:13.000Z", "paidAt": null, "expiredAt": null, "canceledAt": null, "createdAt": "2026-10-31T21:04:13.000Z", "checkoutUrl": "https://rivoo.gg/pay/c/ord_mhexample0000vip0000001?k=exemplo"}